# Uses of Interface
org.codehaus.janino.Java.BlockStatement

Packages that use Java.BlockStatement
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.BlockStatement in org.codehaus.janino

Subinterfaces of Java.BlockStatement in org.codehaus.janino
Modifier and Type
Interface
Description
`static interface`
`Java.FieldDeclarationOrInitializer`
Classes in org.codehaus.janino that implement Java.BlockStatement
Modifier and Type
Class
Description
`static final class`
`Java.AlternateConstructorInvocation`
Representation of a JLS7 8.8.7.1.
`static final class`
`Java.AssertStatement`
Representation of the JLS7 14.10 ASSERT statement.
`static final class`
`Java.Block`
Representation of a Java "block" (JLS7 14.2).
`static class`
`Java.BreakableStatement`
Base class for statements that can be terminated abnormally with a `break` statement.
`static final class`
`Java.BreakStatement`
Representation of the JLS7 14.15 BREAK statement.
`static class`
`Java.ConstructorInvocation`
Abstract bas class for `Java.SuperConstructorInvocation` and `Java.AlternateConstructorInvocation`.
`static class`
`Java.ContinuableStatement`
Base class for statements that support the "continue" statement.
`static final class`
`Java.ContinueStatement`
Representation of the JLS7 14.16 CONTINUE statement.
`static final class`
`Java.DoStatement`
Representation of a JLS7 14.13 DO statement.
`static final class`
`Java.EmptyStatement`
Representation of the "empty statement", i.e.
`static final class`
`Java.ExpressionStatement`
Representation of the JLS7 14.8 "expression statement".
`static final class`
`Java.FieldDeclaration`
This class is derived from "Statement", because it provides for the initialization of the field.
`static final class`
`Java.ForEachStatement`
Representation of a JLS7 14.14.2 "enhanced FOR statement".
`static final class`
`Java.ForStatement`
Representation of a JLS7 14.14.1 "basic FOR statement".
`static final class`
`Java.IfStatement`
Representation of a JLS7 14.9 IF statement.
`static final class`
`Java.Initializer`
Representation of an "instance initializer" (JLS7 8.6) or "static initializer" (JLS7 8.7).
`static final class`
`Java.LabeledStatement`
Representation of a JLS7 14.7 "labeled statement".
`static final class`
`Java.LocalClassDeclarationStatement`
Representation of the JLS7 14.3 "local class declaration statement".
`static final class`
`Java.LocalVariableDeclarationStatement`
Representation of a JLS7 14.4 "local variable declaration statement".
`static final class`
`Java.ReturnStatement`
Representation of the JLS7 14.17 RETURN statement.
`static class`
`Java.Statement`
Everything that can occur in the body of a method or in a block.
`static final class`
`Java.SuperConstructorInvocation`
Representation of a JLS7 8.8.7.1.
`static final class`
`Java.SwitchStatement`
The JLS7 14.10 `switch` Statement.
`static final class`
`Java.SynchronizedStatement`
Representation of a JLS7 14.9 SYNCHRONIZED statement.
`static final class`
`Java.ThrowStatement`
Representation of a JLS7 14.18 THROW statement.
`static final class`
`Java.TryStatement`
Representation of a JLS7 14.20 TRY statement.
`static final class`
`Java.WhileStatement`
Representation of the JLS7 14.2 WHILE statement.
Fields in org.codehaus.janino declared as Java.BlockStatement
Modifier and Type
Field
Description
`final Java.BlockStatement`
Java.CatchClause.`body`
Body of the CATCH clause.
`final Java.BlockStatement`
Java.ContinuableStatement.`body`
The body of this continuable statement.
`final Java.BlockStatement`
Java.SynchronizedStatement.`body`
The body of this SYNCHRONIZED statement.
`final Java.BlockStatement`
Java.TryStatement.`body`
The body of the TRY statement.
`final Java.BlockStatement`
Java.IfStatement.`elseStatement`
The optional ELSE statement, which is executed iff the condition evaluates to FALSE.
`final Java.BlockStatement`
Java.ForStatement.`init`
The optional "init" part of the "basic FOR statement".
`final Java.BlockStatement`
Java.IfStatement.`thenStatement`
The "then statement", which is executed iff the condition evaluates to TRUE.
Fields in org.codehaus.janino with type parameters of type Java.BlockStatement
Modifier and Type
Field
Description
`final List<Java.BlockStatement>`
Java.SwitchStatement.SwitchBlockStatementGroup.`blockStatements`
The statements following the CASE labels.
`final List<Java.BlockStatement>`
Java.Block.`statements`
The list of statements that comprise the body of the block.
`final List<? extends Java.BlockStatement>`
Java.FunctionDeclarator.`statements`
The statements that comprise the function; `null` for abstract method declarations.
Methods in org.codehaus.janino that return Java.BlockStatement
Modifier and Type
Method
Description
`Java.BlockStatement[]`
Java.Block.`getStatements()`
`Java.BlockStatement`
Parser.`parseBlockStatement()`
BlockStatement := Statement | (1) 'class' ...
Methods in org.codehaus.janino that return types with arguments of type Java.BlockStatement
Modifier and Type
Method
Description
`List<Java.BlockStatement>`
Parser.`parseBlockStatements()`
BlockStatements := { BlockStatement }
Methods in org.codehaus.janino with parameters of type Java.BlockStatement
Modifier and Type
Method
Description
`void`
Java.Block.`addStatement(Java.BlockStatement statement)`
Adds one statement to the end of the block.
`void`
Unparser.`unparseBlockStatement(Java.BlockStatement bs)`
Method parameters in org.codehaus.janino with type arguments of type Java.BlockStatement
Modifier and Type
Method
Description
`void`
Java.Block.`addStatements(List<? extends Java.BlockStatement> statements)`
Adds a list of statements to the end of the block.
`protected void`
ScriptEvaluator.`makeStatements(int idx, Parser parser, List<Java.BlockStatement> resultStatements, List<Java.MethodDeclarator> resultMethods)`
Parses statements from the parser until end-of-input.
`void`
Unparser.`unparseStatements(List<? extends Java.BlockStatement> statements)`
Generates Java code from a sequence of `Java.BlockStatement`s.
Constructors in org.codehaus.janino with parameters of type Java.BlockStatement
Modifier
Constructor
Description
``
`CatchClause(Location location, Java.CatchParameter catchParameter, Java.BlockStatement body)`
`protected`
`ContinuableStatement(Location location, Java.BlockStatement body)`
``
`DoStatement(Location location, Java.BlockStatement body, Java.Rvalue condition)`
``
`ForEachStatement(Location location, Java.FunctionDeclarator.FormalParameter currentElement, Java.Rvalue expression, Java.BlockStatement body)`
``
`ForStatement(Location location, Java.BlockStatement init, Java.Rvalue condition, Java.Rvalue[] update, Java.BlockStatement body)`
``
`IfStatement(Location location, Java.Rvalue condition, Java.BlockStatement thenStatement)`
``
`IfStatement(Location location, Java.Rvalue condition, Java.BlockStatement thenStatement, Java.BlockStatement elseStatement)`
``
`SynchronizedStatement(Location location, Java.Rvalue expression, Java.BlockStatement body)`
``
`TryStatement(Location location, List<Java.TryStatement.Resource> resources, Java.BlockStatement body, List<Java.CatchClause> catchClauses)`
A TRY statement without a FINALLY clause.
``
`TryStatement(Location location, List<Java.TryStatement.Resource> resources, Java.BlockStatement body, List<Java.CatchClause> catchClauses, Java.Block finallY)`
``
`TryStatement(Location location, Java.BlockStatement body, List<Java.CatchClause> catchClauses)`
A TRY statement with no resources and no FINALLY clause.
``
`WhileStatement(Location location, Java.Rvalue condition, Java.BlockStatement body)`
Constructor parameters in org.codehaus.janino with type arguments of type Java.BlockStatement
Modifier
Constructor
Description
``
`ConstructorDeclarator(Location location, String docComment, Java.Modifier[] modifiers, Java.FunctionDeclarator.FormalParameters formalParameters, Java.Type[] thrownExceptions, Java.ConstructorInvocation constructorInvocation, List<? extends Java.BlockStatement> statements)`
``
`FunctionDeclarator(Location location, String docComment, Java.Modifier[] modifiers, Java.Type type, String name, Java.FunctionDeclarator.FormalParameters formalParameters, Java.Type[] thrownExceptions, List<? extends Java.BlockStatement> statements)`
``
`MethodDeclarator(Location location, String docComment, Java.Modifier[] modifiers, Java.TypeParameter[] typeParameters, Java.Type type, String name, Java.FunctionDeclarator.FormalParameters formalParameters, Java.Type[] thrownExceptions, Java.ElementValue defaultValue, List<? extends Java.BlockStatement> statements)`

## Uses of Java.BlockStatement in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.BlockStatement
Modifier and Type
Method
Description
`Java.BlockStatement`
DeepCopier.`copyAssertStatement(Java.AssertStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyBlockStatement(Java.BlockStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyBreakStatement(Java.BreakStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyContinueStatement(Java.ContinueStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyDoStatement(Java.DoStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyEmptyStatement(Java.EmptyStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyExpressionStatement(Java.ExpressionStatement es)`
`Java.BlockStatement`
DeepCopier.`copyForEachStatement(Java.ForEachStatement fes)`
`Java.BlockStatement`
DeepCopier.`copyForStatement(Java.ForStatement fs)`
`Java.BlockStatement`
DeepCopier.`copyIfStatement(Java.IfStatement is)`
`Java.BlockStatement`
DeepCopier.`copyLabeledStatement(Java.LabeledStatement ls)`
`Java.BlockStatement`
DeepCopier.`copyLocalClassDeclarationStatement(Java.LocalClassDeclarationStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyOptionalBlockStatement(Java.BlockStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyReturnStatement(Java.ReturnStatement subject)`
`Java.BlockStatement`
DeepCopier.`copySwitchStatement(Java.SwitchStatement subject)`
`Java.BlockStatement`
DeepCopier.`copySynchronizedStatement(Java.SynchronizedStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyThrowStatement(Java.ThrowStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyTryStatement(Java.TryStatement ts)`
`Java.BlockStatement`
DeepCopier.`copyWhileStatement(Java.WhileStatement ws)`
Methods in org.codehaus.janino.util that return types with arguments of type Java.BlockStatement
Modifier and Type
Method
Description
`List<Java.BlockStatement>`
DeepCopier.`copyBlockStatements(Collection<? extends Java.BlockStatement> subject)`
`List<Java.BlockStatement>`
DeepCopier.`copyOptionalStatements(Collection<? extends Java.BlockStatement> subject)`
`List<Java.BlockStatement>`
DeepCopier.`copyStatements(Collection<? extends Java.BlockStatement> subject)`
Methods in org.codehaus.janino.util with parameters of type Java.BlockStatement
Modifier and Type
Method
Description
`Java.BlockStatement`
DeepCopier.`copyBlockStatement(Java.BlockStatement subject)`
`Java.BlockStatement`
DeepCopier.`copyOptionalBlockStatement(Java.BlockStatement subject)`
`void`
AbstractTraverser.`visitBlockStatement(Java.BlockStatement bs)`
`void`
Traverser.`visitBlockStatement(Java.BlockStatement bs)`
Method parameters in org.codehaus.janino.util with type arguments of type Java.BlockStatement
Modifier and Type
Method
Description
`List<Java.BlockStatement>`
DeepCopier.`copyBlockStatements(Collection<? extends Java.BlockStatement> subject)`
`List<Java.BlockStatement>`
DeepCopier.`copyOptionalStatements(Collection<? extends Java.BlockStatement> subject)`
`List<Java.BlockStatement>`
DeepCopier.`copyStatements(Collection<? extends Java.BlockStatement> subject)`